package domain

type AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse struct {
	/*
	   创建结果     */
	FailElements *[]AlibabaWdkCouponSkuRemoveFailElement `json:"fail_elements,omitempty" `

	/*
	   模板表主键     */
	Id *int64 `json:"id,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `
}

func (s *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse) SetFailElements(v []AlibabaWdkCouponSkuRemoveFailElement) *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse {
	s.FailElements = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse) SetId(v int64) *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse) SetSourceId(v int64) *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse {
	s.SourceId = &v
	return s
}
